# Method: players.list

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.ListPlayersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/players/list#body.aspect)
- [Collection](https://developer.android.com/games/services/web/api/rest/v1/players/list#Collection)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/players/list#try-it)

Get the collection of players for the currently authenticated user.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/me/players/{collection}`

### Path parameters

|                                                                            Parameters                                                                             ||
|--------------|-----------------------------------------------------------------------------------------------------------------------------------------------------|
| `collection` | `enum (`[Collection](https://developer.android.com/games/services/web/api/rest/v1/players/list#Collection)`)` Collection of players being retrieved |

### Query parameters

|                                                                                                       Parameters                                                                                                        ||
|--------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                                               |
| `maxResults` | `integer` The maximum number of player resources to return in the response, used for paging. For any response, the actual number of player resources returned may be less than the specified`maxResults`. |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                                                      |

### Request body

The request body must be empty.

### Response body

A third party player list response.

If successful, the response body contains data with the following structure:

|                                                                    JSON representation                                                                     |
|------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "nextPageToken": string, "items": [ { object (https://developer.android.com/games/services/web/api/rest/v1/players#Player) } ] } ``` |

|                                                                Fields                                                                ||
|-----------------|---------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerListResponse`. |
| `nextPageToken` | `string` Token corresponding to the next page of results.                                                           |
| `items[]`       | `object (`[Player](https://developer.android.com/games/services/web/api/rest/v1/players#Player)`)` The players.     |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## Collection

|                                                                                                   Enums                                                                                                   ||
|---------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `CONNECTED`   | Retrieve a list of players that are also playing this game in reverse chronological order. | The CONNECTED collection of G+ friends is deprecated, use the FRIENDS_ALL collection instead. |
| `VISIBLE`     | Retrieve a list of players in the user's social graph that are visible to this game. | The VISIBLE collection of G+ friends is deprecated, use the FRIENDS_ALL collection instead.         |
| `FRIENDS_ALL` | Retrieve a list of players who are friends of the user in alphabetical order.                                                                                                              |